package com.muyu.req;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：qdm
 * @Package：com.muyu.req
 * @Project：cloud-etl-engine
 * @name：EngineMaintenanceEditReq
 * @Date：2024/8/22 16:02
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
//@ApiModel(value = "EngineVersionSaveReq", description = "规则引擎版本")
public class EngineMaintenanceEditReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 版本类名 */
//    @ApiModelProperty(name = "版本类名", value = "版本类名", required = true)
    private String versionClass;

    /** 版本名称 */
//    @ApiModelProperty(name = "版本名称", value = "版本名称", required = true)
    private String name;

    /** 版本编码 */
//    @ApiModelProperty(name = "版本编码", value = "版本编码", required = true)
    private String versionCode;

    /** 是否激活 */
//    @ApiModelProperty(name = "是否激活", value = "是否激活", required = true)
    private String isActivate;

    /** 版本状态 */
//    @ApiModelProperty(name = "版本状态", value = "版本状态", required = true)
    private Integer status;

    /** 版本测试状态 */
//    @ApiModelProperty(name = "版本测试状态", value = "版本测试状态", required = true)
    private Integer testStatus;

    /** 规则内容 */
//    @ApiModelProperty(name = "规则内容", value = "规则内容", required = true)
    private String ruleContent;

    /** 引擎维护编号 */
//    @ApiModelProperty(name = "引擎维护编号", value = "引擎维护编号", required = true)
    private Long engineMaintenanceId;

    /** 描述 */
//    @ApiModelProperty(name = "描述", value = "描述", required = true)
    private String description;

    private String  getType;

    private String  getScope;

    private String  getEngineCode;
}
