package com.muyu.req;

import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：qdm
 * @Package：com.muyu.req
 * @Project：cloud-etl-engine
 * @name：EngineMaintenanceQueryReq
 * @Date：2024/8/22 16:00
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
//@ApiModel(value = "EngineMaintenanceEditReq", description = "引擎维护")
public class EngineMaintenanceQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 名称 */
//    @ApiModelProperty(name = "名称", value = "名称")
    private String name;

    /** 类型 */
//    @ApiModelProperty(name = "类型", value = "类型")
    private Integer type;

    /** 作用域 */
//    @ApiModelProperty(name = "作用域", value = "作用域")
    private Integer scope;

    /** 引擎编码 */
//    @ApiModelProperty(name = "引擎编码", value = "引擎编码")
    private String engineCode;

    /** 是否激活 */
//    @ApiModelProperty(name = "是否激活", value = "是否激活")
    private String isActivate;

    /** 状态 */
//    @ApiModelProperty(name = "状态", value = "状态")
    private String status;

    /** 描述 */
//    @ApiModelProperty(name = "描述", value = "描述")
    private String description;
}
